# Google Play Developer API . edits . tracks

## Instance Methods

Fetches the track configuration for the specified track type. Includes the APK version codes that are in this track.

Lists all the track configurations for this edit.

Updates the track configuration for the specified track type. When halted, the rollout track cannot be updated without adding new APKs, and adding new APKs will cause it to resume. This method supports patch semantics.

Updates the track configuration for the specified track type. When halted, the rollout track cannot be updated without adding new APKs, and adding new APKs will cause it to resume.

### Method Details

`get(packageName, editId, track)`

    Fetches the track configuration for the specified track type. Includes the APK version codes that are in this track.

    Args:
      packageName: string, Unique identifier for the Android app that is being updated; for example, "com.spiffygame". (required)
      editId: string, Unique identifier for this edit. (required)
      track: string, The track type to read or modify. (required)
        Allowed values
          alpha -
          beta -
          production -
          rollout -

    Returns:
      An object of the form:

        {
          "track": "A String",
          "userFraction": 3.14,
          "versionCodes": [
            42,
          ],
        }

`list(packageName, editId)`

    Lists all the track configurations for this edit.

    Args:
      packageName: string, Unique identifier for the Android app that is being updated; for example, "com.spiffygame". (required)
      editId: string, Unique identifier for this edit. (required)

    Returns:
      An object of the form:

        {
        "kind": "androidpublisher#tracksListResponse", # Identifies what kind of resource this is. Value: the fixed string "androidpublisher#tracksListResponse".
        "tracks": [
          {
              "track": "A String",
              "userFraction": 3.14,
              "versionCodes": [
                42,
              ],
            },
        ],
      }

`patch(packageName, editId, track, body)`

    Updates the track configuration for the specified track type. When halted, the rollout track cannot be updated without adding new APKs, and adding new APKs will cause it to resume. This method supports patch semantics.

    Args:
      packageName: string, Unique identifier for the Android app that is being updated; for example, "com.spiffygame". (required)
      editId: string, Unique identifier for this edit. (required)
      track: string, The track type to read or modify. (required)
        Allowed values
          alpha -
          beta -
          production -
          rollout -
      body: object, The request body. (required)
        The object takes the form of:

    {
        "track": "A String",
        "userFraction": 3.14,
        "versionCodes": [
          42,
        ],
      }

    Returns:
      An object of the form:

        {
          "track": "A String",
          "userFraction": 3.14,
          "versionCodes": [
            42,
          ],
        }

`update(packageName, editId, track, body)`

    Updates the track configuration for the specified track type. When halted, the rollout track cannot be updated without adding new APKs, and adding new APKs will cause it to resume.

    Args:
      packageName: string, Unique identifier for the Android app that is being updated; for example, "com.spiffygame". (required)
      editId: string, Unique identifier for this edit. (required)
      track: string, The track type to read or modify. (required)
        Allowed values
          alpha -
          beta -
          production -
          rollout -
      body: object, The request body. (required)
        The object takes the form of:

    {
        "track": "A String",
        "userFraction": 3.14,
        "versionCodes": [
          42,
        ],
      }

    Returns:
      An object of the form:

        {
          "track": "A String",
          "userFraction": 3.14,
          "versionCodes": [
            42,
          ],
        }